.nav__container, header {
    width: 100%;
}

.nav__container {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: stretch;
    -ms-flex-align: stretch;
    align-items: stretch;
    /*padding: 20px*/
}

.nav__mobile .nav__btn {
    display: block
}

.nav__mobile {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.nav__logo a img {width: 120px; position: absolute; margin-top: -6px; filter: drop-shadow(0 0 2px white);}

.nav__menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    overflow: hidden;
       box-sizing: border-box; padding-right: 24px;
       margin-left: -24px
}

.showing {
    max-height: 37rem;
    -webkit-transition: all .5s;
    transition: all .5s
}

.nav__menu li {
    list-style: none;
    position: relative;
    white-space: nowrap;
    padding: 0.6rem 0 0
}

    .nav__menu li a {
        display: block;
        font-size: 1.0rem;
        font-weight: 500;
        color: #fff;
        text-decoration: none;
        border-bottom: 3px solid transparent
    }

.nav-toggle {
    display: block;
    background-color: transparent;
    width: 40px;
    cursor: pointer;
    padding: 4px;
    margin-right: 0; margin-top: 40px;
}

    .nav-toggle span {
        position: relative;
        display: block;
        height: 4px;
        border-radius: 35px;
        width: 100%;
        margin-top: 0;
        background-color: #fff;
        -webkit-transition: all .25s;
        transition: all .25s
    }

        .nav-toggle span.mrg {
            margin-top: 5px
        }

    .nav-toggle.open span:first-child {
        -webkit-transform: rotate(45deg) translate(6.2px,6.2px);
        transform: rotate(45deg) translate(6.2px,6.2px)
    }

    .nav-toggle.open span:nth-child(2) {
        width: 0;
        opacity: 0
    }

    .nav-toggle.open span:last-child {
        -webkit-transform: rotate(-45deg) translate(6.2px,-6.2px);
        transform: rotate(-45deg) translate(6.2px,-6.2px)
    }

.nav__menu .dropdown ul {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    position: static;
    padding: 0;
    /*max-height: 0;*/
    padding-left: 8px;
    overflow: hidden;
    -webkit-transition: all .4s;
    transition: all .4s
}

    .nav__menu .dropdown ul.show {
        max-height: 40rem;
        -webkit-transition: all .4s;
        transition: all .4s
    }

.nav__menu .dropdown li a {
    display: block;
    font-size: 1.1rem;
    /*text-transform: capitalize;*/
    color: #fff;
    text-decoration: none;
    border-bottom: 3px solid transparent
}

.nav__menu li a:hover, .nav__menu li a.on {
    color: #fff; border-bottom: 3px solid #DC002E
}

.nav__menu .dropdown > a:after {
    content: "\f107";
    font-family: FontAwesome;
    font-weight: 900;
    font-size: 1.1rem;
    padding-left: 5px;
    /*color: #7e7e7e*/
}

.nav__menu .active.dropdown > a:after {
    content: "\f106"
}

.nav__menu .dropdown .dropdown > a:after {
    content: "\f107";
    font-family: FontAwesome;
    font-weight: 900;
    font-size: .9rem;
    padding-left: 5px;
    /*color: #7e7e7e*/
}

.nav__menu .dropdown .active.dropdown > a:after {
    content: "\f106"
}

.menu-toggle {
    max-height: 0;
    background-color: rgba(0,0,0,0.75);
    overflow: hidden; position: absolute; z-index: 100; margin-top: -32px
}

    .menu-toggle, .menu-toggle.active {
        -webkit-transition: all .4s ease;
        transition: all .4s ease;
    }

        .menu-toggle.active {
            max-height: 100vh
        }

.resize-animation-stopper * {
    -webkit-transition: none !important;
    transition: none !important;
    -webkit-animation: none !important;
    animation: none !important
}

@media screen and (min-width:1000px) {
    .menu-toggle {
        display: -webkit-box !important;
        display: -ms-flexbox !important;
        display: flex !important;
        max-height: 100vh;
        overflow: visible;
        background-color: unset; position: unset; z-index: unset; margin-top: 40px
}

    .nav__container {
        width: 100%;
        margin: auto;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-direction: row;
        flex-direction: row;
    }

    .nav__container, .nav__mobile {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center
    }

        .nav__mobile .nav__btn {
            display: none
        }

     .nav__menu {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: horizontal;
        -webkit-box-direction: normal;
        -ms-flex-direction: row;
        flex-direction: row;
        max-height: 100%;
        overflow: visible;
    }

        .nav__menu li {
            list-style: none;
            position: relative;
            white-space: nowrap;
            padding: 0 1rem
        }

            .nav__menu li a {
                font-size: 1.2rem;
                font-weight: 500;
                color: #fff;
                text-decoration: none;
                    border-bottom: 3px solid transparent;
                    transition: border-color 0.5s ease
            }

                .nav__menu li a:hover, .nav__menu li a.on {
                    color: #fff; 
                    border-bottom: 3px solid #DC002E
                }

        .nav__menu .dropdown {
            position: relative
        }

            .nav__menu .dropdown ul {
                display: -webkit-box;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-orient: vertical;
                -webkit-box-direction: normal;
                -ms-flex-direction: column;
                flex-direction: column;
                position: absolute;
                top: 100%;
                left: -30px;
                opacity: 0;
                visibility: hidden;
                overflow: visible;
                padding: 1rem 1.5rem;
                background-color: #fff;
                -webkit-transition: all .4s ease;
                transition: all .4s ease
            }

            .nav__menu .dropdown:hover > ul {
                top: 100%;
                left: 16px;
                opacity: 1;
                visibility: visible;
                overflow: visible;
                padding: 1.8rem 1.5rem
            }

            .nav__menu .dropdown ul li {
                background-color: #fff;
                position: relative; 
                padding: 0.2rem 0.4rem
            }

                .nav__menu .dropdown ul li:hover {
                    /*background-color: #cccdce*/
                    color: #000
                }

                .nav__menu .dropdown ul li a {
                    display: block;
                    color: #000;
                    padding: 0.3rem;
                        border-bottom: 3px solid transparent
                }

                    .nav__menu .dropdown ul li a:hover, .nav__menu .dropdown ul li a.on {
                        display: block;
                        color: #000;
                        border-bottom: 3px solid #DC002E
                    }

            .nav__menu .dropdown > a:after {
                content: "\f107"
            }

            .nav__menu .dropdown:hover > a:after, .nav__menu .dropdown > a:after {
                font-family: FontAwesome;
                font-weight: 900;
                font-size: 1.1rem;
                padding-left: 5px;
                color: #dc002e
            }

            .nav__menu .dropdown:hover > a:after {
                content: "\f106"
            }

            .nav__menu .dropdown .dropdown > a:after {
                content: "\f105"
            }

            .nav__menu .dropdown .dropdown:hover > a:after, .nav__menu .dropdown .dropdown > a:after {
                font-family: FontAwesome;
                font-weight: 900;
                font-size: 1.1rem;
                padding-left: 10px;
                color: #fff
            }

            .nav__menu .dropdown .dropdown:hover > a:after {
                content: "\f104"
            }

            .nav__menu .dropdown .dropdown:hover > ul {
                position: absolute;
                top: 0;
                right: calc(100% - 17px);
                left: auto;
                opacity: 1;
                visibility: visible
            }

            .nav__menu .dropdown .dropdown ul {
                position: absolute;
                top: 0;
                right: calc(100% - 17px);
                left: auto;
                opacity: 0;
                visibility: hidden;
                -webkit-transition: all .4s ease-in-out;
                transition: all .4s ease-in-out
            }
}
